2013年10月アーカイブ

HomebrewでOpenCV 2.4.6.1だとカメラからの入力ができなかったので,2.4.5をインストールすることにしたときのメモ。

【Homebrew】OpenCV 2.4.3(バージョンを指定してインストール)のときと同じように,利用可能なバージョンを調べる。

ruirui$ brew versions opencv
2.4.6.1 git checkout 750fa4f /usr/local/Library/Taps/homebrew-science/opencv.rb
2.4.5 git checkout ae74fe9 /usr/local/Library/Taps/homebrew-science/opencv.rb
2.4.4a git checkout 3efa797 /usr/local/Library/Taps/homebrew-science/opencv.rb
以下省略

で,さらに同じようにバージョンを指定してインストールしてみようとしたところ...

ruirui$ cd /usr/local/Library/Formula/
ruirui$ git checkout ae74fe9 /usr/local/Library/Taps/homebrew-science/opencv.rb
error: pathspec 'ae74fe9' did not match any file(s) known to git.
error: pathspec 'Library/Taps/homebrew-science/opencv.rb' did not match any file(s) known to git.

どうやら,opencvの場所がhomebrew-scienceになったので,.gitディレクトリも違うみたい。よくわからないけど。
そういうわけで,気を取り直して...

ruirui$ cd /usr/local/Library/Taps/homebrew-science
ruirui$ git checkout ae74fe9 /usr/local/Library/Taps/homebrew-science/opencv.rb
ruirui$ brew install opencv

OSを再インストールしたら,印刷できなくなったので,プリンタドライバも再インストールしてみました。
しかし,まだドライバが10.9に対応していないため,「お使いのオペレーティングシステムのバージョンではインストールできません。」と表示されインストーラが終了してしまいます。しようがないのでOSのバージョンを偽装して,インストールしました。正式なドライバがリリースされるまでのとりあえずということで。

■基本的な情報
・MacBook Air (11-inch, Mid 2013)
・OS X 10.9
・Canon LBP6200
・Canon Advanced Printing Technology Printer Driver & Utilities for Mac Version 3.55

■OSのバージョンの偽装
/System/Library/CoreServices/SystemVersion.plistの10.9になっているところを10.8に変更します。
たとえば,こんなかんじで...
$ sudo vi /System/Library/CoreServices/SystemVersion.plist

■ドライバのインストール
ドライバをインストールします。

■その他
インストール後はSystemVersion.plistを元に戻す。
システム環境設定でプリンタの再追加が必要?

このアーカイブについて

このページには、2013年10月に書かれたブログ記事が新しい順に公開されています。

前のアーカイブは2013年7月です。

次のアーカイブは2014年10月です。

最近のコンテンツはインデックスページで見られます。過去に書かれたものはアーカイブのページで見られます。

2014年10月

      1 2 3 4
5 6 7 8 9 10 11
12 13 14 15 16 17 18
19 20 21 22 23 24 25
26 27 28 29 30 31